import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:gap/gap.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_kit/wyatt_ui_kit.dart';
import 'package:wyatt_ui_kit_example/cubit/app_mode_cubit.dart';

class InformationCards extends StatelessWidget {
  const InformationCards({super.key});

  @override
  Widget build(BuildContext context) => Column(
        children: [
          Text(
            'Information Cards',
            style: Theme.of(context).textTheme.titleMedium,
          ),
          const Gap(20),
          Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const InformationCard(
                icons: [
                  FlutterLogo(size: 60),
                  FlutterLogo(size: 60),
                  FlutterLogo(size: 60),
                ],
                title: TextWrapper('Flutter'),
                subtitle: TextWrapper('One single code base.'),
                body: TextWrapper(
                  'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                  'Qui ipsum id ea ea nulla labore aute ullamco aute '
                  'quis elit ut amet velit. Incididunt fugiat proident '
                  'proident deserunt tempor Lorem cillum qui do '
                  'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                  'elit sint ex cupidatat ullamco Lorem amet elit '
                  'ipsum sunt ex voluptate. Eiusmod quis laborum velit '
                  'excepteur eu commodo consectetur qui exercitation '
                  'officia consequat ullamco sit adipisicing. Ullamco '
                  'magna cupidatat Lorem nulla cupidatat voluptate '
                  'irure ex reprehenderit.',
                ),
              ),
              const Gap(20),
              InformationCard(
                background: Center(
                  child: ColorFiltered(
                    colorFilter: ColorFilter.mode(
                      context.watch<AppModeCubit>().state.brightness ==
                              Brightness.light
                          ? Colors.grey.withOpacity(0.2)
                          : Colors.white.withOpacity(0.2),
                      BlendMode.srcIn,
                    ),
                    child: Container(
                      decoration: const BoxDecoration(
                        image: DecorationImage(
                          image: AssetImage('assets/images/asset_1.png'),
                          fit: BoxFit.fitHeight,
                          alignment: Alignment.centerRight,
                        ),
                      ),
                    ),
                  ),
                ),
                icons: const [
                  FlutterLogo(size: 60),
                  FlutterLogo(size: 60),
                ],
                title: const TextWrapper(
                  'Flutter',
                  gradientColors: MultiColor([Colors.blue, Colors.green]),
                ),
                subtitle: const TextWrapper('One single code base.'),
                body: const TextWrapper(
                    'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                    'Qui ipsum id ea ea nulla labore aute ullamco aute '
                    'quis elit ut amet velit. Incididunt fugiat proident '
                    'proident deserunt tempor Lorem cillum qui do '
                    'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                    'elit sint ex cupidatat ullamco Lorem amet elit '
                    'ipsum sunt ex voluptate. Eiusmod quis laborum velit '
                    'excepteur eu commodo consectetur qui exercitation '
                    'officia consequat ullamco sit adipisicing. Ullamco '
                    'magna cupidatat Lorem nulla cupidatat voluptate '
                    'irure ex reprehenderit.'),
              ),
            ],
          ),
          const Gap(20),
          Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const InformationCard(
                icons: [
                  FlutterLogo(size: 60),
                ],
                axis: Axis.horizontal,
                title: TextWrapper('Flutter'),
                subtitle: TextWrapper('One single code base.'),
                body: TextWrapper(
                  'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                  'Qui ipsum id ea ea nulla labore aute ullamco aute '
                  'quis elit ut amet velit. Incididunt fugiat proident '
                  'proident deserunt tempor Lorem cillum qui do '
                  'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                  'elit sint ex cupidatat ullamco Lorem amet elit '
                  'ipsum sunt ex voluptate. Eiusmod quis laborum velit '
                  'excepteur eu commodo consectetur qui exercitation '
                  'officia consequat ullamco sit adipisicing. Ullamco '
                  'magna cupidatat Lorem nulla cupidatat voluptate '
                  'irure ex reprehenderit.',
                  gradientColors: MultiColor([
                    Colors.red,
                    Colors.orange,
                  ]),
                ),
              ),
              const Gap(20),
              InformationCard(
                background: Center(
                  child: ColorFiltered(
                    colorFilter: ColorFilter.mode(
                      context.watch<AppModeCubit>().state.brightness ==
                              Brightness.light
                          ? Colors.grey.withOpacity(0.2)
                          : Colors.white.withOpacity(0.2),
                      BlendMode.srcIn,
                    ),
                    child: Container(
                      decoration: const BoxDecoration(
                        image: DecorationImage(
                          image: AssetImage('assets/images/asset_1.png'),
                          fit: BoxFit.fitHeight,
                          alignment: Alignment.centerRight,
                        ),
                      ),
                    ),
                  ),
                ),
                icons: const [
                  FlutterLogo(size: 60),
                ],
                axis: Axis.horizontal,
                title: const TextWrapper('Flutter'),
                subtitle: TextWrapper(
                  'One single code base.',
                  style: Theme.of(context).textTheme.titleMedium?.copyWith(
                        fontSize: 15,
                        fontWeight: FontWeight.bold,
                      ),
                ),
                body: const TextWrapper(
                  'Cupidatat reprehenderit aliqua eiusmod Lorem. '
                  'Qui ipsum id ea ea nulla labore aute ullamco aute '
                  'quis elit ut amet velit. Incididunt fugiat proident '
                  'proident deserunt tempor Lorem cillum qui do '
                  'ullamco Lorem magna ipsum. Ullamco cupidatat velit '
                  'elit sint ex cupidatat ullamco Lorem amet elit '
                  'ipsum sunt ex voluptate. Eiusmod quis laborum velit '
                  'excepteur eu commodo consectetur qui exercitation '
                  'officia consequat ullamco sit adipisicing. Ullamco '
                  'magna cupidatat Lorem nulla cupidatat voluptate '
                  'irure ex reprehenderit.',
                ),
              ),
            ],
          ),
        ],
      );
}
